/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:39
 * Description:患者住院信息主索引管理
 */
package com.emr.service.ipml;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.emr.dao.Archive_MasterMapper;
import com.emr.dao.Sign_ListMapper;
import com.emr.entity.*;
import com.emr.service.Archive_MasterService;
import com.emr.service.Emr_DictionaryService;
import com.emr.service.PowerUserService;
import com.emr.service.Sign_ListService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.google.common.base.Function;
import com.google.common.collect.Maps;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class Sign_ListServiceImpl implements Sign_ListService {

    @Autowired
    private Sign_ListMapper signListMapper;

    @Autowired
    private Emr_DictionaryService emrDictionaryService;

    @Autowired
    private PowerUserService powerUserService;

    @Override
    public OffsetLimitPage selectSignList(Sign_List_Vo signListVo, Integer offset, Integer limit) {
        PageHelper.offsetPage(offset, limit);
        List<Sign_List_Vo> list =signListMapper.selectSignList(signListVo);
        return new OffsetLimitPage((Page) list);
    }

    @Override
    public  List<Sign_List> selectSignListWith(Sign_List signList) {
        return signListMapper.selectSignListWith(signList);
    }

    @Override
    public Sign_List selectSignListById(Integer id) {
        return signListMapper.selectSignListById(id);
    }

    @Override
    public int insertSignList(Sign_List signList) {
        return signListMapper.insertSignList(signList);
    }

    @Override
    public int updateSignList(Sign_List signList) {
        return signListMapper.updateSignList(signList);
    }

    @Override
    public int deleteSignListById(Integer id) {
        return signListMapper.deleteSignListById(id);
    }

    @Override
    public int deleteSignListByIds(String ids) {
        return signListMapper.deleteSignListByIds(ids);
    }



}
 

